#include "camera.h"

Camera::Camera() : Object(), player(NULL) {
	min.x = -10000.0f;
	min.y = -10000.0f;
	max.x = 10000.0f;
	max.y = 10000.0f;
	pos.x = 920;
}


Camera::~Camera() {
	TRACE("Camera::~Camera()\n");
}


void Camera::Update() {
	v.x = (player->pos.x - pos.x)/10.0f;
	v.y = (player->pos.y - pos.y)/10.0f;
	Object::Update();
}


void Camera::SetPlayer(Player *p) {
	player = p;
}
