#ifndef		PLAYER_H
#define		PLAYER_H

#include "object.h"
#include <vector>
using namespace std;

class Player : public Object {
	public:
		enum {
			TUNA_SWIMMING,
			TUNA_FLYING,
			TUNA_LANDED,
			TUNA_CRASHED
		};

		int state;
		int power;
		int increment;

	public:
		Player();
		virtual ~Player();

		virtual void Init();
		virtual void Update();
		virtual void Draw(BITMAP *canvas, Camera *camera);
};

#endif		//PLAYER_H
